﻿using System;
using System.CodeDom.Compiler;
using System.IO;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using Microsoft.CSharp;
using System.Collections.Generic;

namespace CSharpScript
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            CSharpScriptHost scriptHost = new CSharpScriptHost();
            scriptHost.ShowWindow = true;
            for ( int i = 0; i < args.Length; i++ )
                scriptHost.Parameters.Add( String.Format( "arg_{0}", i.ToString() ), args[i] );
            if (args.Length < 1)
            {
                MessageBox.Show("Не указано имя файла.", Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            try {
                scriptHost.ExecuteScriptFromFile( args[0] );
            } 
            catch ( CSharpScriptHostException ex ) {
                MessageBox.Show( ex.Message, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error );
            }
        }
    }
}
